[Bottom launcher] Maximized windows in workspace switcher are displayed with gap on the bottom

Bug #1562348 reported by Mateusz Stachowski on 2016-03-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
Unassigned
Nominated for Xenial by Marco Trevisan (Treviño)
unity (Ubuntu)
Medium
handsome_feng
Nominated for Xenial by Marco Trevisan (Treviño)
Xenial
Medium
Unassigned

Bug Description

Maximized window should fill in whole space of the workspace in workspace switcher. But unfortunately with launcher on the bottom it doesn't do that.

It displays with gap on the bottom so it doesn't take into account that there is no launcher in that view.

Related branches

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
assignee: nobody → Eleni Maria Stea (hikiko)
tags: added: trello-board
tags: added: trello-import
removed: trello-board
Changed in unity (Ubuntu):
assignee: Eleni Maria Stea (hikiko) → nobody
Changed in unity (Ubuntu):
assignee: nobody → handsome_feng (feng-kylin)
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160517-0ubuntu1

---------------
unity (7.5.0+16.10.20160517-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Bumping version to 7.5.0, as per 7.4 release

  [ Andrea Azzarone ]
  * Do not reset the shortcut for icons that have their own shortcut.
    (LP: #1562847)
  * Fallback to "background" class in case no background is specified
    for title bars and top panel. (LP: #1575527)
  * GnomeKeyGrabber: do not activate an action if it's a repeated one.
    (LP: #1572241)
  * Properly calculate array indexes to avoid crashes. (LP: #1570843)
  * Properly remove SoftwareCenterLauncherIcon in case of failure. (LP:
    #1553165)
  * Update ExpoLauncherIcon in case the quicklist is used to switch vp.
    (LP: #1525685)

  [ Marco Trevisan (Treviño) ]
  * DashStyle: ensure LazyLoadTexture disconnects from signals on
    destruction (LP: #1580212)
  * Releasing Unity 7.4.0
  * SwitcherController: don't try to get a window from empty selections
    (LP: #1580211)
  * SwitcherView: close the mouse-selected application on middle-click
    (LP: #1574689)
  * UnityScreen, UnityWindow: cleanup a little the code, and ensure
    overridden CompositeWindow functions get actually called

  [ handsome_feng ]
  * Change the x_offset of expo when launcher position changed. (LP:
    #1573897, #1562348)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 17 May 2016 02:56:22 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity (Ubuntu):
importance: Undecided → Medium

Hello Mateusz, or anyone else affected,

Accepted compiz into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.12.2+16.04.20160526-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Mateusz, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160526.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-done
removed: verification-needed
Changed in unity (Ubuntu Xenial):
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.2+16.04.20160526-0ubuntu1

---------------
compiz (1:0.9.12.2+16.04.20160526-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Add an option to notify that a key press is actually an "auto
    repeat" one. (LP: #1572241)

  [ Alberts Muktupāvels ]
  * OpenGL: use the number of Opaque windows around to decide whether
    paint the bg or not (LP: #1574866)

  [ Marco Trevisan (Treviño) ]
  * Scale: use the selectedWindow as starting point when focusing a
    window (LP: #1575168)
  * Scale: allow to iterate through windows using Tab key
  * Window: call stateChangeNotify when compiz state changed but before
    changing the WM state (LP: #1521302)

  [ Eleni Maria Stea ]
  * Expo, Scale: add support for bottom offsets (LP: #1562346, LP:
    #1573897)

  [ handsome_feng ]
  * Add a YBottomOffset value when stretch maximized windows。 (LP:
    #1562348)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 26 May 2016 00:12:16 +0000

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160526.1-0ubuntu1

---------------
unity (7.4.0+16.04.20160526.1-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Releasing Unity 7.4.0

  [ Andrea Azzarone ]
  * Properly remove SoftwareCenterLauncherIcon in case of failure. (LP:
    #1553165)
  * Update ExpoLauncherIcon in case the quicklist is used to switch vp.
    (LP: #1525685)
  * GnomeKeyGrabber: do not activate an action if it's a repeated one.
    (LP: #1572241)
  * Properly calculate array indexes to avoid crashes. (LP: #1570843)
  * Fallback to "background" class in case no background is specified
    for title bars and top panel. (LP: #1575527)
  * Do not reset the shortcut for icons that have their own shortcut.
    (LP: #1562847)

  [ Marco Trevisan (Treviño) ]
  * SwitcherView: close the mouse-selected application on middle-click
    (LP: #1574689)
  * UnityScreen, UnityWindow: cleanup a little the code, and ensure
    overridden CompositeWindow functions get actually called
  * SwitcherController: don't try to get a window from empty selections
    (LP: #1580211)
  * DashStyle: ensure LazyLoadTexture disconnects from signals on
    destruction (LP: #1580212)

  [ handsome_feng ]
  * Change the x_offset of expo when launcher position changed. (LP:
    #1562348, LP: #1573897)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 26 May 2016 00:03:25 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers